package org.opencdmp.filetransformer.rda.model.rda.mapper;

import org.opencdmp.commonmodels.models.TagModel;
import org.springframework.stereotype.Component;

import java.util.Map;

@Component
public class TagRDAMapper {

	public String toRDA(TagModel value) {
		return value == null ? null : value.getLabel();
	}
	public TagModel toEntity(String rda) {
		if (rda == null || rda.isBlank()) return null;
		TagModel tagModel = new TagModel();
		tagModel.setLabel(rda);
		return tagModel;
	}
}

